## org.apache.poi.xssf.util
Class NumericRanges

    java.lang.Object
      org.apache.poi.xssf.util.NumericRanges

    public class NumericRanges

extends java.lang.Object

Field Summary
`static int` `NO_OVERLAPS`
`static int` `OVERLAPS_1_MINOR`
`static int` `OVERLAPS_1_WRAPS`
`static int` `OVERLAPS_2_MINOR`
`static int` `OVERLAPS_2_WRAPS`

Constructor Summary
`NumericRanges()`

Method Summary
`static long[]` `getOverlappingRange(long[] range1, long[] range2)`
`static int` `getOverlappingType(long[] range1, long[] range2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NO_OVERLAPS

    public static int NO_OVERLAPS

### OVERLAPS_1_MINOR

    public static int OVERLAPS_1_MINOR

### OVERLAPS_2_MINOR

    public static int OVERLAPS_2_MINOR

### OVERLAPS_1_WRAPS

    public static int OVERLAPS_1_WRAPS

### OVERLAPS_2_WRAPS

    public static int OVERLAPS_2_WRAPS

Constructor Detail

### NumericRanges

    public NumericRanges()

Method Detail

### getOverlappingRange

    public static long[] getOverlappingRange(long[] range1,
                                             long[] range2)

### getOverlappingType

    public static int getOverlappingType(long[] range1,
                                         long[] range2)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.